
void _efl_ui_video_remember_position_set(Eo *obj, Efl_Ui_Video_Data *pd, Eina_Bool remember);


static Eina_Error
__eolian_efl_ui_video_remember_position_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_video_remember_position_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_video_remember_position_set, EFL_FUNC_CALL(remember), Eina_Bool remember);

Eina_Bool _efl_ui_video_remember_position_get(const Eo *obj, Efl_Ui_Video_Data *pd);


static Eina_Value
__eolian_efl_ui_video_remember_position_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_ui_video_remember_position_get(obj);
   return eina_value_bool_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_video_remember_position_get, Eina_Bool, 0);

Efl_Canvas_Object *_efl_ui_video_emotion_get(const Eo *obj, Efl_Ui_Video_Data *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_video_emotion_get, Efl_Canvas_Object *, NULL);

const char *_efl_ui_video_title_get(const Eo *obj, Efl_Ui_Video_Data *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_video_title_get, const char *, NULL);

Efl_Object *_efl_ui_video_efl_object_constructor(Eo *obj, Efl_Ui_Video_Data *pd);


Eina_Error _efl_ui_video_efl_file_load(Eo *obj, Efl_Ui_Video_Data *pd);


void _efl_ui_video_efl_file_unload(Eo *obj, Efl_Ui_Video_Data *pd);


void _efl_ui_video_efl_canvas_group_group_calculate(Eo *obj, Efl_Ui_Video_Data *pd);


Eina_Bool _efl_ui_video_efl_ui_widget_widget_input_event_handler(Eo *obj, Efl_Ui_Video_Data *pd, const Efl_Event *eo_event, Efl_Canvas_Object *source);


const Efl_Access_Action_Data *_efl_ui_video_efl_access_widget_action_elm_actions_get(const Eo *obj, Efl_Ui_Video_Data *pd);


Eina_Bool _efl_ui_video_efl_player_playing_set(Eo *obj, Efl_Ui_Video_Data *pd, Eina_Bool playing);


Eina_Bool _efl_ui_video_efl_player_playing_get(const Eo *obj, Efl_Ui_Video_Data *pd);


Eina_Bool _efl_ui_video_efl_player_paused_set(Eo *obj, Efl_Ui_Video_Data *pd, Eina_Bool paused);


Eina_Bool _efl_ui_video_efl_player_paused_get(const Eo *obj, Efl_Ui_Video_Data *pd);


static Eina_Bool
_efl_ui_video_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_VIDEO_EXTRA_OPS
#define EFL_UI_VIDEO_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_ui_video_remember_position_set, _efl_ui_video_remember_position_set),
      EFL_OBJECT_OP_FUNC(efl_ui_video_remember_position_get, _efl_ui_video_remember_position_get),
      EFL_OBJECT_OP_FUNC(efl_ui_video_emotion_get, _efl_ui_video_emotion_get),
      EFL_OBJECT_OP_FUNC(efl_ui_video_title_get, _efl_ui_video_title_get),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_ui_video_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_file_load, _efl_ui_video_efl_file_load),
      EFL_OBJECT_OP_FUNC(efl_file_unload, _efl_ui_video_efl_file_unload),
      EFL_OBJECT_OP_FUNC(efl_canvas_group_calculate, _efl_ui_video_efl_canvas_group_group_calculate),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_input_event_handler, _efl_ui_video_efl_ui_widget_widget_input_event_handler),
      EFL_OBJECT_OP_FUNC(efl_access_widget_action_elm_actions_get, _efl_ui_video_efl_access_widget_action_elm_actions_get),
      EFL_OBJECT_OP_FUNC(efl_player_playing_set, _efl_ui_video_efl_player_playing_set),
      EFL_OBJECT_OP_FUNC(efl_player_playing_get, _efl_ui_video_efl_player_playing_get),
      EFL_OBJECT_OP_FUNC(efl_player_paused_set, _efl_ui_video_efl_player_paused_set),
      EFL_OBJECT_OP_FUNC(efl_player_paused_get, _efl_ui_video_efl_player_paused_get),
      EFL_UI_VIDEO_EXTRA_OPS
   );
   opsp = &ops;

   static const Efl_Object_Property_Reflection refl_table[] = {
      {"remember_position", __eolian_efl_ui_video_remember_position_set_reflect, __eolian_efl_ui_video_remember_position_get_reflect},
   };
   static const Efl_Object_Property_Reflection_Ops rops = {
      refl_table, EINA_C_ARRAY_LENGTH(refl_table)
   };
   ropsp = &rops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_video_class_desc = {
   EO_VERSION,
   "Efl.Ui.Video",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Ui_Video_Data),
   _efl_ui_video_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_video_class_get, &_efl_ui_video_class_desc, EFL_UI_LAYOUT_BASE_CLASS, EFL_FILE_MIXIN, EFL_ACCESS_WIDGET_ACTION_MIXIN, EFL_PLAYER_INTERFACE, NULL);
